from django.contrib.auth.models import AbstractUser
from django.db import models

class AdvUser(AbstractUser):
    avatar = models.ImageField(upload_to='avatars/', verbose_name='Изображение профиля', default=None)

    class Meta(AbstractUser.Meta):
        pass

    def __str__(self):
        return self.username

class Service(models.Model):
    name = models.CharField(max_length=50, verbose_name='Название товара')
    description = models.TextField(max_length=300, verbose_name='Описание товара')
    photo = models.ImageField(upload_to='photo/', verbose_name='Фото товара')
    customer = models.ForeignKey(AdvUser, on_delete=models.CASCADE)

    def __str__(self):
        return self.name
