from .views import *
from django.urls import path
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('', ViewIndex.as_view(), name='index'),
    path('register', RegistrateUser.as_view(), name='register'),
    path('login', BBLoginView.as_view(), name='login'),
    path('logout', LogoutView.as_view(), name='logout'),
    path('service', ViewServices.as_view(), name='service'),
    path('service/<int:pk>', ServiceDetail.as_view(), name='service_id'),
    path('search_result', SearchResult.as_view(), name='search_result'),
    path('profile', Profile.as_view(), name='profile'),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)